
export const doFetch = async function({ url, method = "GET", body = null, headers = {} }) {
    try {
        const response = await fetch(url, {
            method,
            body: !!body ? JSON.stringify(body) : undefined,
            mode: 'cors',
            credentials: 'include',
            headers: {
                ...headers,
                'Accept': 'application/json',
                'Content-Type': 'application/json',
                'Authorization': `Bearer ${localStorage.getItem('jwt')}`
            }
        })

        return await response.json();
    } catch (error) {
        return { success: false, payload: error }
    }
}